gnunet-directory(1)

NAME
gnunet-directory - display directories and show or delete lists of encountered file identifiers

SYNOPSIS
gnunet-directory [OPTIONS] FILENAMES

DESCRIPTION

gnunet-directory lists the contents of a GNUnet directory. It also can be used to manipulate the file identifier database which is used by GNUnet for building directories.

gnunet-directory will always list the contents of the GNUnet directories that are passed as filenames.

Manipulating the file identifier database is done by passing additional options to gnunet-directory. Note that by default GNUnet does not build the file identifier database and the database will thus always be empty. You need to run gnunet-directory with the - option to enable tracking of file identifiers. The reason is that storing file identifiers in plaintext in the database can compromise your privacy if your machine should fall under the control of an adversary.

-c FILENAME, --config=FILENAME
    use config file (defaults: ~/.gnunet/gnunet.conf)

-h, --help
    print help page

-k, --kill
    delete all entries from the file identifier database and stop tracking file identifiers

-l, --list
    display entries from the file identifier database

-L LOGLEVEL, --loglevel=LOGLEVEL
    Change the loglevel. Possible values for LOGLEVEL are NOTHING, FATAL, ERROR, WARNING, INFO, STATUS and DEBUG. Note that options in the configuration file take precedence over this option (the argument will be ignored in that case).

-t, --track
    start tracking file identifiers

-v, --version
    print the version number

-V, --verbose
    be verbose; prints progress information

NOTES
The options are evaluated in the order -l, -k and then -t. Thus specifying -klt will first list all identifiers that were in the database previously, then delete all of those identifiers from the database and then continue (or start to) collect identifiers. The order in which the options are specified on the command line is not important. A GNUnet directory is a file containing a list of GNUnet URIs and meta data. The keys can point to files, other directories or files in namespaces. In other words, a GNUnet directory is similar to UNIX directories. The difference to tar and zip is that GNUnet directory does not contain the actual files, just symbolic (links), similar to directories with symbolic links in UNIX filesystems. The benefit is that the individual files can be retrieved separately (if desired) and if some of the files are inserted to another node in GNUnet, this just increases their availability but does not produce useless duplicates (for example, it is a better idea to publish a collection of pictures or compressed sound files using a GNUnet directory instead of processing them with archivers such as tar or zip first). Directories can contain arbitrary meta data for each file. At the moment, directories can be created by gnunet-gtk and gnunet-insert. They can point to content created by the user or content inserted by others. Just like ordinary files, a directory can be published in a namespace. GNUnet directories use the (unregistered) mimetype application/gnunet-directory. They can show up among normal search results. The directory file can be downloaded to disk by gnunet-download(1) for later processing or be handled more directly by gnunet-gtk(1).

REPORTING BUGS
Report bugs by using mantis <https://gnunet.org/bugs/> or by sending electronic mail to <gnunet-developers@gnu.org>

SEE ALSO
gnunet-gtk(1), gnunet-insert(1), gnunet-search(1), gnunet-download(1), gnunetd(1)